IM_ZONE(3)

NAME
im_zone, im_fzone - creates a zone plate

SYNOPSIS
#include <vips/vips.h> int im_zone(image, size)
IMAGE *image;
int size; int im_fzone(image, size)
IMAGE *image;
int size;

DESCRIPTION
im_fzone() creates a float one band image of a zone plate of size size by size. Pels are in the range [-1,+1]. The zone plate has spatial frequencies increasing from 0 the center (at size/2, size/2) up to infinity at the edges. size must be positive and even. im_zone() behaves exactly as im_fzone(), but writes a FMTUCHAR image scaled to the range 0-255.

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
im_grey(3), im_fgrey(3).

COPYRIGHT
N. Dessipris

AUTHOR
N. Dessipris - 10/05/1991